Bug 103501 - Failed dependencies -report does not contain the cause of problem
Failed dependencies -report does not contain the cause of problem
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-01 05:56 EDT by Teppo Mäenpää
Modified: 2007-04-18 12:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:27:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
excerpt of "up2date -u --nox -vv" output (3.12 KB, text/plain)
2003-09-01 06:01 EDT, Teppo Mäenpää
no flags Details

  None (edit)
Description Teppo Mäenpää 2003-09-01 05:56:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030406

Description of problem:
Preface:
My Red Hat installation contains few non-redhat components. Despite that I feel
that this is a bug in up2date user interface.

System:
Redhat 7.3 with non-RedHat originating Mozilla 1.3 installation

Problem:
When attempting to run up2date, the system prints out mozilla-related dependency
conflict information. The conflict itself is not a problem since it is related
to a non-RedHat rpm. The problem is that up2date does not report which package
is triggering the situation. 

Correct behaviour in my personal opinion:
up2date should also indicate the name of the package that causes a dependency
conflict to show up.

---

Data of this particular case:
"sudo up2date -u --nox" prints prints out the following:


Fetching package list for channel: redhat-linux-i386-7.3...

Fetching Obsoletes list for channel: redhat-linux-i386-7.3...

Fetching rpm headers...

Testing package set / solving RPM inter-dependencies...
There was a package dependency problem.  The message was:

    To solve all dependencies for the RPMs you have selected, The following
    packages you have marked to exclude would have to be added to the set:

    Package Name                        Reason For Skipping
    ======================================================================
    mozilla-nspr-1.0.2-2.7.3            Pkg name/pattern

Unresolvable chain of dependencies:
mozilla-1.0.2-2.7.3                      requires mozilla-nspr = 1.0.2-2.7.3
mozilla-chat-1.3-0_rh7                   requires mozilla = 1.3-0_rh7
mozilla-devel-1.3-0_rh7                  requires mozilla = 1.3-0_rh7
mozilla-js-debugger-1.3-0_rh7            requires mozilla = 1.3-0_rh7
mozilla-mail-1.3-0_rh7                   requires mozilla = 1.3-0_rh7
mozilla-psm-1.3-0_rh7                    requires mozilla = 1.3-0_rh7

---
In this particular case, the problem arises since up2date seems to attempt
upgrading "galeon" -package. This piece of information is missing from the above
printout. It can be obtained only by a "-vv" switch. (excerpt of "up2date -u
--nox -vv" attached)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install redhat-7.3. with at least galeon-1.2.6 and mozilla 1.3 (probably you
shall need src rpm's ). Make sure that no older versions of mozilla are present.
2. run up2date
3. observe the result
    

Actual Results:  up2date fails with dependency conflict. Conflict is related to
Mozilla browser versions 1.0 and 1.3 only.

Expected Results:  up2date fails with dependency conflict. Conflict is related
to Mozilla browser versions 1.0 and 1.3  AND galeon-1.2.6.

Additional info:

At least one of 
up2date-gnome-2.8.40-3.7.3
up2date-2.8.40-3.7.3
is involved.

From a quick survey I got the impression that most people around me have at
least few non-RedHat RPM's installed, usually since no redhat version of the
desired sw was around. Naturally Red Hat is not responsible of those packages,
but I feel that up2date should be able to report problems related to those in a
bit better way.
Comment 1 Teppo Mäenpää 2003-09-01 06:01:01 EDT
Created attachment 94113 [details]
excerpt of "up2date -u --nox -vv" output
Comment 2 Teppo Mäenpää 2003-09-01 06:08:37 EDT
Typo:
Expected results -field of the bug report should say galeon-1.2.11 instead of
galeon-1.2.6.
Comment 3 Adrian Likins 2003-09-02 15:06:29 EDT
This can happen with Red Hat packages as well, in some odd cases,
so not soley a third party package problem. 

I'll take a look at gathering the approriate info and
presenting it. 

Any suggestions on what desired output should look like?
Comment 4 Bill Nottingham 2006-08-05 01:05:44 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 5 Teppo Mäenpää 2006-08-14 05:43:09 EDT
I assume that this bug was waiting for a comment from me since the year 2003,
and I was not aware of it - mail filtering problems ?

At the moment I am not using Red Hat and hence cannot know if the bug remains.
If the bug does not exist in new Fedora/RedHat releases, then this bug report
should be closed.
Comment 6 Bill Nottingham 2006-10-18 14:27:56 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.